GeoEvent server installation error on Azure

274
2
01-13-2019 07:40 PM
Hwa_SaupLee
New Contributor III

I try to install geoevent server on Azure.  I installed a stand alone arcgis server on Azure using cloud builder.  AGS is up and running. 

On the same vm on Azure, I tried to install geoevent server.  But installation is terminated with the following error: 

"ArcGIS Geoevent server 10.6 requires ArcGIS server 10.6 to be installed.  Installation of ArcGIS Geoevent server 10.6 will now terminate."

Any idea?  

0 Kudos
2 Replies
DanielCota1
Occasional Contributor

Hi Hwa Saup Lee‌,

At face value, it sounds like you have two different versions of each product. Can you double check the version of ArcGIS Server that is installed? If it is not 10.6, then the GeoEvent install will not work and terminate with that error message. By the same token, you can ensure that the GeoEvent version matches that of your ArcGIS Server, whether that be 10.6.1 or 10.5.x and earlier.

Hope this helps.

-Daniel

0 Kudos
Hwa_SaupLee
New Contributor III

I figured out that I don't need to install Geoevent server on the VM in Azure.  Even I used the same version, 10.6.1, installation gives me the same error.   Instead, you need to use "Software Authorization Wizard" to enable the geoevent role.  

0 Kudos